Loading...
Searching...
No Matches
fastnoise_source.h File Reference
`#include <gnuradio/analog/api.h>`
`#include <gnuradio/analog/noise_type.h>`
`#include <gnuradio/sync_block.h>`
`#include <cstdint>`
`#include <vector>`
Include dependency graph for fastnoise_source.h:

Go to the source code of this file.

## Classes

class | gr::analog::fastnoise_source< T >
| Random number source. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::analog

## Typedefs

typedef fastnoise_source< float > | gr::analog::fastnoise_source_f
typedef fastnoise_source< std::int32_t > | gr::analog::fastnoise_source_i
typedef fastnoise_source< std::int16_t > | gr::analog::fastnoise_source_s
typedef fastnoise_source< gr_complex > | gr::analog::fastnoise_source_c